{ inputs, lib, config, pkgs, ... }: {
  # Enable CUPS to print documents.
  services.printing.enable = true;
  services.printing.drivers = [
    (pkgs.writeTextDir "share/cups/model/kyocera_fs-1300d.ppd" (builtins.readFile ../../../files/kyocera_fs-1300d.ppd))
  ];
  hardware.printers = {
  ensurePrinters = [
    {
      name = "Kyocera_FS-1300D";
      location = "Office";
      deviceUri = "socket://172.16.0.4:9100";
      model = "kyocera_fs-1300d.ppd";
      ppdOptions = {
        PageSize = "A4";
      };
    }
  ];
  ensureDefaultPrinter = "Kyocera_FS-1300D";
  };
}
